package com.ruoyi.project.reliability.service;

import java.util.List;
import com.ruoyi.project.reliability.domain.TDeviceRisk;

/**
 * 装置风险清单Service接口
 * 
 * @author ruoyi
 * @date 2022-07-07
 */
public interface ITDeviceRiskService 
{
    /**
     * 查询装置风险清单
     * 
     * @param id 装置风险清单ID
     * @return 装置风险清单
     */
    public TDeviceRisk selectTDeviceRiskById(Long id);

    /**
     * 查询装置风险清单列表
     * 
     * @param tDeviceRisk 装置风险清单
     * @return 装置风险清单集合
     */
    public List<TDeviceRisk> selectTDeviceRiskList(TDeviceRisk tDeviceRisk);

    /**
     * 新增装置风险清单
     * 
     * @param tDeviceRisk 装置风险清单
     * @return 结果
     */
    public int insertTDeviceRisk(TDeviceRisk tDeviceRisk);

    /**
     * 修改装置风险清单
     * 
     * @param tDeviceRisk 装置风险清单
     * @return 结果
     */
    public int updateTDeviceRisk(TDeviceRisk tDeviceRisk);

    /**
     * 批量删除装置风险清单
     * 
     * @param ids 需要删除的装置风险清单ID
     * @return 结果
     */
    public int deleteTDeviceRiskByIds(Long[] ids);

    /**
     * 删除装置风险清单信息
     * 
     * @param id 装置风险清单ID
     * @return 结果
     */
    public int deleteTDeviceRiskById(Long id);
}
